/*
 * Copyright 2013 Malcolm Lett
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * Public API for using single free-text fields to define a date range
 * in a very human friendly way.
 * Designed so that it can recognise text such as {@code "oct/2010 to apr/2011"} and
 * {@code "before may/2012"}.
 * 
 * <p> If converting this into SQL, then the easiest and most accurate usage is:
 * <ul>
 * <li> {@code where date_column >= range.from}
 * <li> {@code where date_column < range.before}
 * </ul>
 * @author Malcolm Lett
 */
package net.sourceforge.tedhi;
